Skip to main content
DELETE
/
v2
/
topics
/
{topicName}
/
endpoints
curl -XDELETE https://qstash.upstash.io/v2/topics/:topicName/endpoints \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "endpoints": [
      {
        "name": "endpoint1",
      },
      {
        "url": "https://somewhere-else.com"
      }
    ]
  }'

Documentation Index

Fetch the complete documentation index at: https://upstash-fix-issues-on-docs.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Remove one or multiple endpoints from a topic. If all endpoints have been removed, the topic will be deleted.

Request

topicName
string
required
The name of your topic. If it doesn’t exist, we return an error.
endpoints
Array
required
The endpoints to be removed from to the topic.

Response

This endpoint simply returns 200 OK if the endpoints have been removed successfully.
curl -XDELETE https://qstash.upstash.io/v2/topics/:topicName/endpoints \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "endpoints": [
      {
        "name": "endpoint1",
      },
      {
        "url": "https://somewhere-else.com"
      }
    ]
  }'